#include "math.h"
#include "mex.h"
#include "spinapi.h"
#include "string.h"
#include "stdio.h"
#include "stdlib.h"

void pbSetDebug(int control_flag)
{
    pb_init();
    
    if (control_flag == 1) {
    printf("Debug mode enabled \n");
    }
    else {
    printf("Debug mode disabled \n");
    }
    
	pb_set_debug(control_flag);    
 
    pb_close();
    
    return;
}

void mexFunction(int nlhs,mxArray *plhs[],int nrhs,const mxArray *prhs[])
{
   
   int control_flag;

   control_flag=mxGetScalar(prhs[0]);

   if ( mxGetScalar(prhs[0]) != 0 && mxGetScalar(prhs[0]) != 1 ) {
    mexErrMsgTxt("Input must be a 1 to enable debug mode or 0 to disable debug mode");
  }
   
   pbSetDebug(control_flag);
   
}
