#include "math.h"
#include "mex.h"
#include "spinapi.h"
#include "string.h"
#include "stdio.h"
#include "stdlib.h"
#define RAM_SIZE (16*1024)

void pbGetData(int real[RAM_SIZE], int imag[RAM_SIZE])
{
    pb_init();
    
	pb_get_data(RAM_SIZE, real, imag);
    
    pb_close();
    
    return;
}

void mexFunction(int nlhs,mxArray *plhs[],int nrhs,const mxArray *prhs[])
{
    int *real;
    int *imag;
    
    plhs[0] = mxCreateNumericMatrix(RAM_SIZE,1, mxINT32_CLASS, mxREAL);
    plhs[1] = mxCreateNumericMatrix(RAM_SIZE,1, mxINT32_CLASS, mxREAL);

    real = (int*)mxGetPr(plhs[0]);
    imag = (int*)mxGetPr(plhs[1]);
    
    pbGetData(real, imag);
    
}
